Update Config Store Option
- PUT /platform/configuration/store/{config_option_id}
Update existing Config Store Option.
Path Parameters
-
config_option_idstringrequired -
Name of the Config Store Option that you would like to modify
Query Parameters
-
versionstring If specified then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)
Responses
Config Store Option retrieved successfully
-
namestringrequired -
Name of this Config Store Option
-
valuestringrequired -
Value of this Config Store Option
-
changedbooleanrequired -
Whether or not this Config Store Option has changed
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
There was no existing data for the given Config Store Id. (code: platform.config.store.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
There is a version conflict. (code: platform.config.store.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response